# Arduino Firmware Uploader

The Arduino Firmware Uploader is a tool made to update the firmware and/or add SSL certificates for any Arduino board
equipped with ESP32-S3 or NINA Wi-Fi module.

[![Test Go status](https://github.com/arduino/arduino-fwuploader/actions/workflows/test-go-task.yml/badge.svg)](https://github.com/arduino/arduino-fwuploader/actions/workflows/test-go-task.yml)
[![Codecov](https://codecov.io/gh/arduino/arduino-fwuploader/branch/main/graph/badge.svg)](https://codecov.io/gh/arduino/arduino-fwuploader)
[![Test Integration status](https://github.com/arduino/arduino-fwuploader/actions/workflows/test-go-integration-task.yml/badge.svg)](https://github.com/arduino/arduino-fwuploader/actions/workflows/test-go-integration-task.yml)
[![Deploy Website status](https://github.com/arduino/arduino-fwuploader/actions/workflows/deploy-cobra-mkdocs-versioned-poetry.yml/badge.svg)](https://github.com/arduino/arduino-fwuploader/actions/workflows/deploy-cobra-mkdocs-versioned-poetry.yml)

## ❗❗❗Notice regarding versions before 2.0.0 ❗❗❗

**ATTENTION** old versions (e.g 1.0.x) will not work anymore, further details in this [issue]. Please use the [latest]
release

## Docs

For guidance on installation and development, see the [User documentation]

## Quickstart

1. [Install] the Arduino Firmware Uploader
1. Follow the [Usage] guide to check out what the tool can do
1. Browse the [Commands reference] to see all the available commands

## Security

If you think you found a vulnerability or other security-related bug in this project, please read our [security policy]
and report the bug to our Security Team 🛡️ Thank you!

e-mail contact: security@arduino.cc

[security policy]: https://github.com/arduino/arduino-fwuploader/security/policy
[user documentation]: https://arduino.github.io/arduino-fwuploader/
[install]: https://arduino.github.io/arduino-fwuploader/latest/installation
[usage]: https://arduino.github.io/arduino-fwuploader/latest/usage
[commands reference]: https://arduino.github.io/arduino-fwuploader/latest/commands/arduino-fwuploader/
[issue]: https://github.com/arduino/arduino-fwuploader/issues/93
[latest]: https://github.com/arduino/arduino-fwuploader/releases
